Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366617 - [abrt] file-roller: g_str_hash(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: g_str_hash(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:47002672003372298166f893dd2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 12:52 UTC by Daniel
Modified: 2017-08-08 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:30:23 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-12 12:52 UTC, Daniel
no flags Details
File: cgroup (deleted)
2016-08-12 12:52 UTC, Daniel
no flags Details
File: core_backtrace (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: dso_list (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: environ (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: exploitable (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: limits (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: maps (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: mountinfo (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: namespaces (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: open_fds (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: proc_pid_status (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details
File: var_log_messages (deleted)
2016-08-12 12:53 UTC, Daniel
no flags Details

Description Daniel 2016-08-12 12:52:52 UTC
Description of problem:
Dragged folder from archive manager to Nautilus.

Version-Release number of selected component:
file-roller-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        file-roller /tmp/mozilla_d0/piwik.zip
crash_function: g_str_hash
executable:     /usr/bin/file-roller
global_pid:     17932
kernel:         4.6.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1876
 #1 g_hash_table_lookup at ghash.c:375
 #3 _fr_window_archive_extract_from_edata at fr-window.c:6567
 #5 query_info_ready_for_overwrite_dialog_cb at fr-window.c:6662
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #7 query_info_async_cb at gdaemonfile.c:962
 #8 g_task_return_now at gtask.c:1107
 #9 g_task_return at gtask.c:1165
 #10 reply_cb at gdbusproxy.c:2570
 #11 g_task_return_now at gtask.c:1107

Comment 1 Daniel 2016-08-12 12:52:57 UTC
Created attachment 1190383 [details]
File: backtrace

Comment 2 Daniel 2016-08-12 12:52:58 UTC
Created attachment 1190384 [details]
File: cgroup

Comment 3 Daniel 2016-08-12 12:53:00 UTC
Created attachment 1190385 [details]
File: core_backtrace

Comment 4 Daniel 2016-08-12 12:53:01 UTC
Created attachment 1190386 [details]
File: dso_list

Comment 5 Daniel 2016-08-12 12:53:02 UTC
Created attachment 1190387 [details]
File: environ

Comment 6 Daniel 2016-08-12 12:53:04 UTC
Created attachment 1190388 [details]
File: exploitable

Comment 7 Daniel 2016-08-12 12:53:05 UTC
Created attachment 1190389 [details]
File: limits

Comment 8 Daniel 2016-08-12 12:53:07 UTC
Created attachment 1190390 [details]
File: maps

Comment 9 Daniel 2016-08-12 12:53:08 UTC
Created attachment 1190391 [details]
File: mountinfo

Comment 10 Daniel 2016-08-12 12:53:09 UTC
Created attachment 1190392 [details]
File: namespaces

Comment 11 Daniel 2016-08-12 12:53:11 UTC
Created attachment 1190393 [details]
File: open_fds

Comment 12 Daniel 2016-08-12 12:53:12 UTC
Created attachment 1190394 [details]
File: proc_pid_status

Comment 13 Daniel 2016-08-12 12:53:14 UTC
Created attachment 1190395 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 22:24:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 16:30:23 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.